For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
            • GETList Products
            • PUTUpdate Products (batch)
            • POSTCreate Product
            • DELDelete Products
            • GETGet Product
            • PUTUpdate Product
            • DELDelete Product
              • GETList Product Videos
              • POSTCreate Product Video
              • GETGet Product Video
              • PUTUpdate Product Video
              • DELDelete Product Video
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProductsVideos

Create Product Video

POST
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/videos
POST
/stores/:store_hash/v3/catalog/products/:product_id/videos
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/videos \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "title": "Your Video",
> "description": "Company Values",
> "sort_order": 1,
> "type": "youtube",
> "video_id": "123345AA"
>}'
1{
2 "title": "Your Video",
3 "description": "Company Values",
4 "sort_order": 1,
5 "type": "youtube",
6 "video_id": "123345AA"
7}
Creates a *Product Video*. **Required Fields** * video_id **Read-Only Fields** * id Publicly accessible URLs are valid parameters. The Catalog API integrates with third-party YouTube, and you must load videos through YouTube. The [YouTube Terms of Service](https://www.youtube.com/t/terms) and [Google Privacy Policy](https://policies.google.com/privacy) apply, as indicated in our [Privacy Policy](https://www.bigcommerce.com/privacy/) and [Terms of Service](https://www.bigcommerce.com/terms/).
Was this page helpful?
Previous

List Product Videos

Next

Get Product Video

Built with

Creates a Product Video.

Required Fields

  • video_id

Read-Only Fields

  • id

Publicly accessible URLs are valid parameters.

The Catalog API integrates with third-party YouTube, and you must load videos through YouTube. The YouTube Terms of Service and Google Privacy Policy apply, as indicated in our Privacy Policy and Terms of Service.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

The model for a POST to create a video on a product.
titlestringOptional0-255 characters
The title for the video. If left blank, this will be filled in according to data on a host site.
descriptionstringOptional
The description for the video. If left blank, this will be filled in according to data on a host site.
sort_orderintegerOptional-2147483648-2147483647

The order in which the video will be displayed on the product page. Higher integers give the video a lower priority. When updating, if the video is given a lower priority, all videos with a sort_order the same as or greater than the videoʼs new sort_order value will have their sort_orders reordered.

typeenumOptional

The video type (a short name of a host site).

Allowed values:
video_idstringOptional0-25 characters
The ID of the video on a host site.

Response

dataobject
A product video model.
metaobject
Response metadata.

Errors

404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.